Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Python > Traceback not going all the way to the exception?

Reply
Thread Tools

Traceback not going all the way to the exception?

 
 
sert
Guest
Posts: n/a
 
      10-09-2008
I just got an exception and the traceback wouldn't go all the
way to the statement that threw the exception. I found that out
by using the debugger.

Contrast the traceback:

http://tinyurl.com/5xglde

with the debugger output (notice the arrow pointing to the last
statement the traceback showed and how the execution went on
beyond it):

http://tinyurl.com/3fjgrl

Is this a known issue or should I submit a bug report?
 
Reply With Quote
 
 
 
 
Terry Reedy
Guest
Posts: n/a
 
      10-09-2008
sert wrote:
> I just got an exception and the traceback wouldn't go all the
> way to the statement that threw the exception. I found that out
> by using the debugger.
>
> Contrast the traceback:
>
> http://tinyurl.com/5xglde
>
> with the debugger output (notice the arrow pointing to the last
> statement the traceback showed and how the execution went on
> beyond it):
>
> http://tinyurl.com/3fjgrl
>
> Is this a known issue or should I submit a bug report?


You forgot to specify which version of Python on which computer system.
I do not remember anything like this. You can search the items at
bugs.python.org. If no one explains this, I suggest a bug report.

 
Reply With Quote
 
 
 
 
Aaron \Castironpi\ Brady
Guest
Posts: n/a
 
      10-09-2008
On Oct 9, 3:27*am, sert <(E-Mail Removed)> wrote:
> I just got an exception and the traceback wouldn't go all the
> way to the statement that threw the exception. I found that out
> by using the debugger.
>
> Contrast the traceback:
>
> http://tinyurl.com/5xglde
>
> with the debugger output (notice the arrow pointing to the last
> statement the traceback showed and how the execution went on
> beyond it):
>
> http://tinyurl.com/3fjgrl
>
> Is this a known issue or should I submit a bug report?


Could be you are re-raising an exception by hand instead of with the
bare 'raise' statement. Notice the difference in tracebacks shown
here:

>>> def f():

.... try:
.... g()
.... except Exception, e:
.... raise e
....
>>> def g():

.... raise Exception("abc")
....
>>> f()

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "<stdin>", line 5, in f
Exception: abc
>>> def f():

.... try:
.... g()
.... except Exception, e:
.... raise
....
>>> f()

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "<stdin>", line 3, in f
File "<stdin>", line 2, in g
Exception: abc
>>>

 
Reply With Quote
 
sert
Guest
Posts: n/a
 
      10-09-2008
Terry Reedy <(E-Mail Removed)> wrote in
news:(E-Mail Removed):

> You forgot to specify which version of Python on which
> computer system.
>


It's on Python 2.6.
 
Reply With Quote
 
sert
Guest
Posts: n/a
 
      10-09-2008
sert <(E-Mail Removed)> wrote in
news:Xns9B3376461E33jtjdfjdfjnbj@147.102.222.230:

> It's on Python 2.6.
>


On Windows.
 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
"raise (type, value, traceback)" and "raise type, value, traceback" Jack Bates Python 0 05-02-2011 05:23 PM
Unicode thing that causes a traceback in 2.6 and 2.7 but not in 2.5,and only when writing to a pipe, not to the terminal Dan Stromberg Python 1 12-02-2010 05:03 PM
XP Going ... Going ... Not Gone Lawrence D'Oliveiro NZ Computing 0 06-11-2010 01:41 AM
XP search going all lame on me..explorer going crazy when trying tosearch. fotoobscura Computer Support 8 01-12-2008 01:09 AM
VPN going up but traffic going one way PLP Cisco 1 07-11-2003 08:28 AM



Advertisments